## org.eclipse.datatools.enablement.sybase.asa.base.catalog
Class SybaseASACatalogBaseEvent

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.EventImpl
                                      org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseEventImpl
                                          org.eclipse.datatools.enablement.sybase.asa.base.catalog.SybaseASACatalogBaseEvent

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ICatalogObject, SybaseASABaseEvent, Event, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASACatalogBaseEvent

extends SybaseASABaseEventImpl
implements ICatalogObject, org.eclipse.core.runtime.IAdaptable

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`static java.lang.String` `ALL_LOCATION_TYPE_IN_DATABASE`
`static java.lang.String` `CONSOLIDATED_LOCATION_TYPE_IN_DATABASE`
`static java.lang.String` `INTERNAL_UNIT_HOURS_IN_DATABASE`
`static java.lang.String` `INTERNAL_UNIT_MINUTES_IN_DATABASE`
`static java.lang.String` `INTERNAL_UNIT_SECONDS_IN_DATABASE`
`static java.lang.String` `REMOTE_LOCATION_TYPE_IN_DATABASE`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASACatalogBaseEvent()`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.String` `getAction()` Returns the value of the 'Action' attribute.
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`Database` `getCatalogDatabase()`
`java.lang.String` `getCondition()` Returns the value of the 'Condition' attribute.
`java.sql.Connection` `getConnection()`
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`EventType` `getEventType()`
`EventLocationType` `getLocation()`
`org.eclipse.emf.common.util.EList` `getSchedules()`
`boolean` `isEnabled()` Returns the value of the 'Enabled' attribute.
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseEventImpl
`basicGetEventCreator, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getConditionDetails, getEventCreator, setEventCreator, setEventType, setLocation, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EventImpl
`basicGetDatabase, basicSetDatabase, getDatabase, getFor, setAction, setCondition, setDatabase, setEnabled, setFor`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Event
`getDatabase, getFor, setAction, setCondition, setDatabase, setEnabled, setFor`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### REMOTE_LOCATION_TYPE_IN_DATABASE

    public static final java.lang.String REMOTE_LOCATION_TYPE_IN_DATABASE

See Also:
  Constant Field Values

### CONSOLIDATED_LOCATION_TYPE_IN_DATABASE

    public static final java.lang.String CONSOLIDATED_LOCATION_TYPE_IN_DATABASE

See Also:
  Constant Field Values

### ALL_LOCATION_TYPE_IN_DATABASE

    public static final java.lang.String ALL_LOCATION_TYPE_IN_DATABASE

See Also:
  Constant Field Values

### INTERNAL_UNIT_HOURS_IN_DATABASE

    public static final java.lang.String INTERNAL_UNIT_HOURS_IN_DATABASE

See Also:
  Constant Field Values

### INTERNAL_UNIT_MINUTES_IN_DATABASE

    public static final java.lang.String INTERNAL_UNIT_MINUTES_IN_DATABASE

See Also:
  Constant Field Values

### INTERNAL_UNIT_SECONDS_IN_DATABASE

    public static final java.lang.String INTERNAL_UNIT_SECONDS_IN_DATABASE

See Also:
  Constant Field Values

Constructor Detail

### SybaseASACatalogBaseEvent

    public SybaseASACatalogBaseEvent()

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getAction

    public java.lang.String getAction()

  Description copied from interface: `Event`
  Returns the value of the 'Action' attribute. the action that the event performs after being activated

  Specified by:
    `getAction` in interface `Event`
  Overrides:
    `getAction` in class `org.eclipse.datatools.modelbase.sql.schema.impl.EventImpl`
  Returns:
    the value of the 'Action' attribute.
  See Also:
    `Event.setAction(String)`, `SQLSchemaPackage.getEvent_Action()`

### getCondition

    public java.lang.String getCondition()

  Description copied from interface: `Event`
  Returns the value of the 'Condition' attribute. the condition to be satisfied inorder to activate the event

  Specified by:
    `getCondition` in interface `Event`
  Overrides:
    `getCondition` in class `org.eclipse.datatools.modelbase.sql.schema.impl.EventImpl`
  Returns:
    the value of the 'Condition' attribute.
  See Also:
    `Event.setCondition(String)`, `SQLSchemaPackage.getEvent_Condition()`

### isEnabled

    public boolean isEnabled()

  Description copied from interface: `Event`
  Returns the value of the 'Enabled' attribute. event state

  Specified by:
    `isEnabled` in interface `Event`
  Overrides:
    `isEnabled` in class `org.eclipse.datatools.modelbase.sql.schema.impl.EventImpl`
  Returns:
    the value of the 'Enabled' attribute.
  See Also:
    `Event.setEnabled(boolean)`, `SQLSchemaPackage.getEvent_Enabled()`

### getEventType

    public EventType getEventType()

  Description copied from class: `SybaseASABaseEventImpl`

  Specified by:
    `getEventType` in interface `SybaseASABaseEvent`
  Overrides:
    `getEventType` in class `SybaseASABaseEventImpl`
  Returns:
    the value of the 'Event Type' attribute.
  See Also:
    `EventType`, `SybaseASABaseEvent.setEventType(EventType)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent_EventType()`

### getLocation

    public EventLocationType getLocation()

  Description copied from class: `SybaseASABaseEventImpl`

  Specified by:
    `getLocation` in interface `SybaseASABaseEvent`
  Overrides:
    `getLocation` in class `SybaseASABaseEventImpl`
  Returns:
    the value of the 'Location' attribute.
  See Also:
    `EventLocationType`, `SybaseASABaseEvent.setLocation(EventLocationType)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent_Location()`

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `SQLObject`
  Returns the value of the 'Description' attribute.

  If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDescription` in interface `SQLObject`
  Overrides:
    `getDescription` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `SQLObject.setDescription(String)`, `SQLSchemaPackage.getSQLObject_Description()`

### getSchedules

    public org.eclipse.emf.common.util.EList getSchedules()

  Description copied from class: `SybaseASABaseEventImpl`

  Specified by:
    `getSchedules` in interface `SybaseASABaseEvent`
  Overrides:
    `getSchedules` in class `SybaseASABaseEventImpl`
  Returns:
    the value of the 'Schedules' containment reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent_Schedules()`, `Schedule.getEvent()`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`